apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: ${VALIDATOR_NAME}
  creationTimestamp: null
  labels:
    app: ${VALIDATOR_NAME}
    storing: chain
    tier: validator
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 30Gi

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: ${VALIDATOR_NAME}-keys
  creationTimestamp: null
  labels:
    app: ${VALIDATOR_NAME}
    tier: validator
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 30Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: ${VALIDATOR_NAME}-petri-snapshots
  creationTimestamp: null
  labels:
    app: ${VALIDATOR_NAME}
    tier: validator
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 100Gi
